#features/Proxy.feature

Feature: Proxy usage
    As a Centreon IMP client
    I want to use a proxy on my platform
    To access internet

    Scenario: IMP Proxy usage
        Given I am logged in a Centreon server with PPM installed and a configured proxy
        And a Centreon user who subscribed to the IMP offer
        When PPM accesses to internet
        Then PPM uses the configured proxy

    Scenario: IMP Proxy usage with basic authentication
        Given I am logged in a Centreon server with PPM installed and a configured proxy with basic authentication
        And a Centreon user who subscribed to the IMP offer
        When PPM accesses to internet
        Then PPM uses the configured proxy