#features/Subscription.feature

Feature: IMP Add subscription button
  As a Centreon user who didn't subscribe to the IMP offer
  I want to be able to redirect to Centreon Digital platform
  To get the IMP subscription

  Background:
    Given I am logged in a Centreon server with PPM installed

  Scenario: IMP Add subscription button
    Given a Centreon user who does not subscribe to the IMP offer
    When I am on plugin pack list page
    Then the subscription button is displayed

  Scenario: Mask IMP subscription button on fullscreen mode
    Given a Centreon user who subscribed to the IMP offer
    And I am on plugin pack list page
    And the subscription button is displayed
    When I activate the fullscreen mode
    Then the subscription button is not displayed

  Scenario: Display IMP subscription button when the fullscreen mode is enabled and then disabled
    Given a Centreon user who subscribed to the IMP offer
    And I am on plugin pack list page
    And I activate the fullscreen mode
    When I desactivate the fullscreen mode
    Then the subscription button is displayed

  Scenario: Subscribe in new tab
    Given a Centreon user who subscribed to the IMP offer
    And I am on plugin pack list page
    When I click on the subscribe button
    Then the subscription page is in a new tab