#features/AutoDiscoveryRules.feature

Feature: Auto discovery rule installation
  As a Centreon user who subscribed to the IMP offer
  I want to get autodiscovery rules
  To use these rules to discover services

  Scenario: incomplete plugin pack cause of autodiscovery rules
    Given I am logged in a Centreon server with PPM installed
    And a plugin pack with auto discovery rules
    When I install the plugin pack
    Then a message displays unknown objects

  Scenario: Installation of autodiscovery rules
    Given I am logged in a Centreon server with PPM and Centreon Auto Discovery installed
    And a plugin pack with auto discovery rules
    When I install the plugin pack
    Then the discovery rules are installed

