#features/DiscoveryCommand.feature

Feature: Discovery command installation
  As a Centreon user who subscribed to the IMP offer
  I want to get discovery commands
  To use these commands to discover equipments

  Background:
    Given I am logged in a Centreon server with PPM installed

  Scenario: Installation of discovery commands
    Given a Centreon user who subscribed to the IMP offer
    And a plugin pack getting a host template with a discovery command
    When I install the plugin pack
    Then the plugin pack is linked to the discovery category
    And the discovery commands are installed

  Scenario: Error on bad category installation
    Given a Centreon user who subscribed to the IMP offer
    And a plugin pack with a bad discovery category
    When I install the plugin pack
    Then an error is displayed to inform me the pp is not installed

  Scenario: Update of discovery commands
    Given a Centreon user who subscribed to the IMP offer
    And a plugin pack getting a host template with a discovery command
    And a previous version of the Plugin Pack is installed
    When I update the plugin pack
    Then the plugin pack is linked to the discovery category
    And the discovery commands are installed

  Scenario: Error on bad category installation
    Given a Centreon user who subscribed to the IMP offer
    And a plugin pack with a bad discovery category
    And a previous version of the Plugin Pack is installed
    When I update the plugin pack
    Then an error is displayed to inform me the pp is not updated
