#features/Documentation.feature

Feature: PP Documentation
  As a Centreon user
  I want to access the PP documentation
  To get help about it

  Background:
    Given I am logged in a Centreon server with PPM installed

  Scenario: An icon is displayed to access the PP documentation
    Given a Centreon user who subscribed to the IMP offer
    And I am on plugin pack list page
    When I install a complete plugin pack
    Then an icon allows me to access the PP documentation

  Scenario: The PP documentation is displayed in a new tab when i click on the PP documentation icon
    Given a Centreon user who subscribed to the IMP offer
    And I am on plugin pack list page
    And I install a complete plugin pack
    When I click on the PP documentation icon
    Then the PP documentation page is displayed

  Scenario: An icon is displayed, without page refresh, to access the PP documentation, just after a PP install
    Given a Centreon user who subscribed to the IMP offer
    And I am on plugin pack list page
    And I install a complete plugin pack
    When I click on a plugin pack
    Then an icon allows me to access the PP documentation

  Scenario: the PP documentation page is displayed, without page refresh, in a new tab when i click on the PP documentation icon, just after a PP install
    Given a Centreon user who subscribed to the IMP offer
    And I install a complete plugin pack
    When I click on the PP documentation icon
    Then the PP documentation page is displayed
