#features/Filters.feature

Feature: Filters of a Plugin pack
    As a Centreon user
    I want to filter the list of displayed packages plugins
    To view those meeting the search criteria

    Background:
        Given I am logged in a Centreon server with PPM installed

    Scenario: IMP explicit fail message
        Given I am on Plugin Pack list page
        When I can not find any plugin packs
        Then I see the the right message

    Scenario: EMS explicit fail message
        Given I am on Plugin Pack list page
        When I can not find any plugin packs
        Then I see the the right message

    Scenario: IMP Search by keyword
        Given I am on Plugin Pack list page
        When I search some Plugin Packs by keyword
        Then the list contains only Plugin Packs matching my criteria

    Scenario: IMP Search by keywords
        Given I am on Plugin Pack list page
        When I search some Plugin Packs by keywords
        Then the list contains only Plugin Packs matching my criteria

    Scenario: EMS search by keyword
        Given EMS is installed
        And I am on Plugin Pack list page
        When I search some Plugin Packs by keyword
        Then the list contains only Plugin Packs matching my criteria

    Scenario: EMS search by keywords
        Given EMS is installed
        And I am on Plugin Pack list page
        When I search some Plugin Packs by keywords
        Then the list contains only Plugin Packs matching my criteria

    Scenario: IMP Search by category
        Given I am on Plugin Pack list page
        When I search some Plugin Packs by their category
        Then the list contains only Plugin Packs matching my criteria

    Scenario: EMS Search by category
        Given EMS is installed
        And I am on Plugin Pack list page
        When I search some Plugin Packs by their category
        Then the list contains only Plugin Packs matching my criteria

    Scenario: IMP Search by status
        Given I am on Plugin Pack list page
        When I search some Plugin Packs by their status
        Then the list contains only Plugin Packs matching my criteria

    Scenario: EMS Search by status
        Given EMS is installed
        And I am on Plugin Pack list page
        When I search some Plugin Packs by their status
        Then the list contains only Plugin Packs matching my criteria

    Scenario: IMP Search by last update
        Given I am on Plugin Pack list page
        And I am on Plugin Pack list page
        When I search some Plugin Packs by their last update
        Then the list is ordered by date

    Scenario: EMS Search by last update
        Given EMS is installed
        And I am on Plugin Pack list page
        When I search some Plugin Packs by their last update
        Then the list is ordered by date

    Scenario: IMP Multi-criteria search
        Given I am on Plugin Pack list page
        When I search some Plugin Packs by multiple criterias
        Then the list contains only Plugin Packs matching all my criterias

    Scenario: EMS Multi-criteria search
        Given EMS is installed
        And I am on Plugin Pack list page
        When I search some Plugin Packs by multiple criterias
        Then the list contains only Plugin Packs matching all my criterias