#features/Helpdesk.feature

Feature: Helpdesk Add Helpdesk button
  As a Centreon user who subscribed to the IMP offer
  I want to be redirected to the IMP support
  To ask for help

  Background:
    Given I am logged in a Centreon server with PPM installed

  Scenario: Redirected to Centreon support website on the button online helpdesk
    Given a Centreon user who subscribed to the IMP offer
    And the Centreon server is linked to a subscription
    And I am on plugin pack list page
    When I click on the helpdesk button
    Then I am redirected to Centreon support website

  Scenario: Mask helpdesk button on fullscreen mode
    Given a Centreon user who subscribed to the IMP offer
    And the Centreon server is linked to a subscription
    And I am on plugin pack list page
    When I activate the fullscreen mode
    Then the helpdesk button is not displayed

  Scenario: Display helpdesk button when the fullscreen mode is enabled and then disabled
    Given a Centreon user who subscribed to the IMP offer
    And the Centreon server is linked to a subscription
    And I am on plugin pack list page
    And I activate the fullscreen mode
    When I desactivate the fullscreen mode
    Then the helpdesk button is displayed
