Feature: Plugin pack schema version detection
    As a Centreon developer
    I want to associate version plugin pack schemas
    To easily handle PPM and plugin pack updates

    Background:
        Given I am logged in a Centreon server with PPM installed

    Scenario: IMP Wrong plugin pack schema version
        Given a Centreon user who subscribed to the IMP offer
	And a plugin pack using a new schema version is available
	When I try to install it
	Then an explicit error message is printed

    Scenario: EMS Wrong plugin pack schema version
        Given EMS is installed
	And a plugin pack using a new schema version is available
	When I try to install it
	Then an explicit error message is printed

    Scenario: IMP Wrong plugin pack schema version
        Given a Centreon user who subscribed to the IMP offer
	And a plugin pack with a supported schema is installed
	And a new version of the plugin pack using a new schema version is available
	When I try to update it
	Then an explicit error message is printed

    Scenario: EMS Wrong plugin pack schema version
        Given EMS is installed
	And a plugin pack with a supported schema is installed
	When a new version of the plugin pack using a new schema version is available
	When I try to update it
	Then an explicit error message is printed
