#features/UninstallWithoutRefresh.feature

Feature: Install and uninstall a Plugin pack without refresh
    As a Centreon user who subscribed to the IMP offer
    I want to uninstall a plugin pack
    To cancel the installation whithout refresh my page

  Background:
    Given I am logged in a Centreon server with PPM installed

  Scenario: IMP Install and uninstall a complete plugin pack
    Given a Centreon user who subscribed to the IMP offer
    When I install a complete plugin pack
    And I remove the Plugin Pack
    Then the Plugin Pack is removed

  Scenario: EMS Install and uninstall a complete plugin pack
    Given EMS is installed
    When I install a complete plugin pack
    And I remove the Plugin Pack
    Then the Plugin Pack is removed

  Scenario: IMP Install and uninstall an incomplete plugin pack
    Given a Centreon user who subscribed to the IMP offer
    When I install an incomplete plugin pack
    And I remove the Plugin Pack
    Then the Plugin Pack is removed

  Scenario: EMS Install and uninstall an incomplete plugin pack
    Given EMS is installed
    When I install an incomplete plugin pack
    And I remove the Plugin Pack
    Then the Plugin Pack is removed
